NBht <-
function(x,
                 type.random = c("add", "mul"),
                 type.fisher = c("expected", "observed"),
                 tolerance = 1e-9) {      
  
  NBclass <- class(x)
  if( any(NBclass %in% c("negbin")) ) {
    x$theta <- 1 / x$theta  
  }
  
  type.fisher <- match.arg(type.fisher)
  type.random <- match.arg(type.random)
  
  switch(type.fisher,
         expected = score.exp(x, type=type.random, tolerance=tolerance),
         observed = score.obs(x, type=type.random))
}
