se.ml.exp <-
function(fit.object, tolerance) {
  
  # input
  y  <- fit.object$y
  mu <- fit.object$fitted.values
  th <- fit.object$theta
  
  i.exp <- function(mu.i) {
    i.33 <- 1
    j <- 0
    dy <- c()
    while(i.33 >= tolerance) {
      i.33 <- (1/th + j)^(-2) * pnbinom(q=j, size=1/th, mu=mu.i, lower.tail=F)
      j <- j + 1
      dy <- c(dy, i.33)
    }
    sum(dy)
  }
  sigma2 <- solve(
    sum( (1/th^4) * ( sapply(as.list(mu), function(x) i.exp(x)) - th*mu/(mu + 1/th) ) )
  )
  
  sqrt( c(sigma2) )
}
