\name{ausMTPL8486}
\alias{ausMTPL8486}
\title{Automobile claim datasets in Australia}
\docType{data}
\description{
Third party insurance is a compulsory insurance for vehicle owners
in Australia. It insures vehicle owners against injury  caused to
other drivers, passengers or pedestrians, as a result of an
accident.

The \code{ausMTPL8486}  dataset records the number of third party claims in a
twelve-month period between 1984 and 1986 in each of 176 geographical
areas (local government areas) in New South Wales, Australia.

}
\usage{
data(ausMTPL8486)
}

\format{ 

\code{ausMTPL8486} is a data frame of 7 columns and 176 rows:
\describe{
    \item{\code{LocalGov}}{The local government area.}
    \item{\code{StatDiv}}{The vehicle value in thousand of AUD.}
    \item{\code{ClaimNb}}{The number of third-party claims.}
    \item{\code{AccNb}}{The number of accidents.}
    \item{\code{KillInjNb}}{The number of killed or injured.}
    \item{\code{Pop}}{The population size.}
    \item{\code{PopDens}}{The population density.}
}

}

\source{

\href{http://www.businessandeconomics.mq.edu.au/our_departments/Applied_Finance_and_Actuarial_Studies/research/books/GLMsforInsuranceData}{DeJongHellerBook}

}

\references{
P. De Jong and G.Z. Heller (2008),
\emph{Generalized linear models for insurance data},
Cambridge University Press.
 }
 
\examples{
data(ausMTPL8486)
}

\keyword{datasets}